IEEE1394IF(4)

NAME
ieee1394if - IEEE1394 High-performance Serial Bus

SYNOPSIS
ieee1394if* at fwohci?

DESCRIPTION
NetBSD provides machine-independent bus support and raw drivers for IEEE1394 interfaces.

The ieee1394if driver consists of two layers: the controller and the bus layer. The controller attaches to a physical bus (like pci(4)). The ieee1394if bus attaches to the controller. Additional drivers can be attached to the bus.

Up to 63 devices, including the host itself, can be attached to a IEEE1394 bus. The root node is dynamically assigned with a PHY device function. Also, the other IEEE1394 bus specific parameters, e.g., node ID, cycle master, isochronous resource manager and bus manager, are dynamically assigned, after bus reset is initiated. On the ieee1394if bus, every device is identified by an EUI 64 address.

FILES
/dev/fw0.0
/dev/fwmem0.0

SEE ALSO
fwip(4), fwohci(4), pci(4), sbp(4), fwctl(8), sysctl(8)

HISTORY
The ieee1394if driver first appeared in FreeBSD 5.0, as firewire. It was added to NetBSD 4.0 under its present name.

AUTHORS
-nosplit The ieee1394if driver was written by Katsushi Kobayashi and Hidetoshi Shimokawa for the FreeBSD project. It was added to NetBSD 4.0 by KIYOHARA Takashi.

BUGS
See fwohci(4) for security notes.